clang-tools 10.0.0

Namespaces | Functions
ConvertMemberFunctionsToStatic.cpp File Reference
`#include "ConvertMemberFunctionsToStatic.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/SourceLocation.h"`
Include dependency graph for ConvertMemberFunctionsToStatic.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Functions
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isStatic)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, hasTrivialBody)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isOverloadedOperator)
| clang::tidy::readability::AST_MATCHER (CXXRecordDecl, hasAnyDependentBases)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isTemplate)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isDependentContext)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isInsideMacroDefinition)
| clang::tidy::readability::AST_MATCHER_P (CXXMethodDecl, hasCanonicalDecl, ast_matchers::internal::Matcher< CXXMethodDecl >, InnerMatcher)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, usesThis)
static StringRef | clang::tidy::readability::getStringFromRange (SourceManager &SourceMgr, const LangOptions &LangOpts, SourceRange Range)
| Obtain the original source code text from a SourceRange. More...
static SourceRange | clang::tidy::readability::getLocationOfConst (const TypeSourceInfo *TSI, SourceManager &SourceMgr, const LangOptions &LangOpts)